MIX_GetTrackTags(3)

NAME
MIX_GetTrackTags - Get the tags currently associated with a track.

SYNOPSIS
#include <SDL3_mixer/SDL_mixer.h>

char ** MIX_GetTrackTags(MIX_Track *track, int *count);

DESCRIPTION
Tags are not provided in any guaranteed order.

FUNCTION PARAMETERS

track
    the track to query.

count
    a pointer filled in with the number of tags returned, can be NULL.

RETURN VALUE
Returns an array of the tags, NULL-terminated, or NULL on failure; call SDL_GetError() for more information. This is a single allocation that should be freed with SDL_free() when it is no longer needed.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL_mixer 3.0.0.